Subject: [tsvwg] Diffserv interconnect issues - Scavenger / lessthan Best effort class

From: <[email-masked]>
Date: Thu, 21 Mar 2013 14:13:24 +0100

Dear chairs,

during the last IETF meeting, one question
was whether and if so how a Less than Best
Effort / Scavenger class is or should be
supported at Interconnection points.

I can't give a clear answer. I hope my
statements and questions below help to
achieve progress on the topic.

Definition:
The Default Class could be engineered to
consist of two PHBs, differentiated by a
drop policy similar to those of AF. The
default class is however not engineered
to meet any specific QoS. Correct?

IETF Standardisation
Only the Default PHB is specified by IETF.
Internet2 specified a Scavenger PHB. MEF has
a better than Best Effort PHB.
Should IETF specify a second PHB in the
Default class?
Note that I don't think this specification
should be part of the DiffServ Interconnection
draft.

Is there another IETF Less than Best Effort
standard being desired if the idea of having
two PHBs in the Default class is wrong?

If there is interst in standardising a Less
than Best Effort class, should it be supported
at interconnection points?

Please add questions or ask, if I missed
something or if I'm not clear above.

Regards,

Rüdiger

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Mar 2013 13:58:17 +0000

I can understand why an inter-ISP SLA might include an LBE class.

The IETF failed to advance draft-bless-diffserv-lbe-phb.
As far as a PHB goes, I haven't changed my opinion since I wrote this:

-------- Original Message --------
Subject: LBE using RFC 2474
Date: Wed, 10 Nov 1999 13:00:27 -0600
From: Brian E Carpenter <[email-masked]>
Organization: IBM
To: Diff Serv <[email-masked]>

Kathie and I discussed the less than best effort requirement expressed
by some people, and concluded that this can be done using RFC 2474
with no change:

In the DSCP to PHB mapping table, map the DSCP value 0 (default)
to the PHB Class Selector 2. Then classify the "LBE" tarffic
into a BA that receives PHB Class Selector 1.

This usage overrides the SHOULD in RFC 2474, section 4.2.2.2,
but that is why we use SHOULD instead of MUST.

Regards
   Brian Carpenter